Autor Tema: [RESUELTO] Actulizar kolla de 4.2.1 a 4.4.1  (Leído 487 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Carolina Belmonte

  • General
  • *
  • Mensajes: 746
    • MSN Messenger - caro_bel45@hotmail.com
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Entre Ríos
  • Nombre y apellido: Carolina Belmonte
  • Sistema: Comdoc-Kolla-Tehuelche-Toba
  • Teléfono laboral: (03442) 421539
[RESUELTO] Actulizar kolla de 4.2.1 a 4.4.1
« on: Julio 06, 2021, 11:28:39 am »
Estimados, estoy intentando actualizar la versión de kolla pero al navegar la carpeta de 4.4.1 no me aparece el asistente para actualizar, solo me navega las carpetas. Que me esta faltando?
« Última Modificación: Agosto 19, 2021, 12:53:40 pm por Rodrigo D Miranda »

Germán Lodovskis

  • Moderador Global
  • *****
  • Mensajes: 246
    • Ver Perfil
    • Email
  • Institución: SIU - Bahia Blanca
  • Nombre y apellido: Germán Lodovskis
  • Sistema: SIU-Kolla y SIU-Tehuelche
Re:Actulizar kolla de 4.2.1 a 4.4.1
« Respuesta #1 on: Julio 06, 2021, 03:44:35 pm »
Buenas tardes Carolina.

El módulo no se instala mas con el cliente gráfico, ahora se debe realizar todo por linea de comandos tal y como se indica en la documentación para esa versión: https://documentacion.siu.edu.ar/wiki/SIU-Kolla/Version_4.4.0/actualizacion

Seguí los pasos allí indicados y cualquier duda nos comentas.

Saludos.

Carolina Belmonte

  • General
  • *
  • Mensajes: 746
    • MSN Messenger - caro_bel45@hotmail.com
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Entre Ríos
  • Nombre y apellido: Carolina Belmonte
  • Sistema: Comdoc-Kolla-Tehuelche-Toba
  • Teléfono laboral: (03442) 421539
Re:Actulizar kolla de 4.2.1 a 4.4.1
« Respuesta #2 on: Julio 06, 2021, 04:24:24 pm »
Ah okok. Perfecto. Vuelvo a escribir cualquier cosa. Gracias.

Carolina Belmonte

  • General
  • *
  • Mensajes: 746
    • MSN Messenger - caro_bel45@hotmail.com
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Entre Ríos
  • Nombre y apellido: Carolina Belmonte
  • Sistema: Comdoc-Kolla-Tehuelche-Toba
  • Teléfono laboral: (03442) 421539
Re:Actulizar kolla de 4.2.1 a 4.4.1
« Respuesta #3 on: Agosto 04, 2021, 11:34:25 am »
Estimados, buen dia.

Hago una consulta puntual respecto de la instalacion que tenemos
En nuestro caso tenemos kolla 4.2.1 dockerizada.
Si quisieramos actualizar la version, y teniendo en cuenta que la 4.2.1 esta linkqueado con un postgres 9.5 y el kolla 441 requiere pg10.x:

""""se podrian levantar el docker de la 421 con un postgres 10 y php7.3,  copiar el instalador del kolla 441 y ahi actualizar???""""

Espero se entienda la duda.
GRacias desde ya.

Carolina Belmonte

  • General
  • *
  • Mensajes: 746
    • MSN Messenger - caro_bel45@hotmail.com
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Entre Ríos
  • Nombre y apellido: Carolina Belmonte
  • Sistema: Comdoc-Kolla-Tehuelche-Toba
  • Teléfono laboral: (03442) 421539
Re:Actulizar kolla de 4.2.1 a 4.4.1
« Respuesta #4 on: Agosto 05, 2021, 08:57:27 am »
Buen dia.

Estamos teniendo problemas para actualiza.

Tenemos dos docker, el kolla421 y el 441. Cuando corremos el actualizar desde la 441 y apuntamos a la carpeta de la instalacion anterior nos sale el siguiente error:

[ERROR] Se han producido errores durante el chequeo dependencias del instalador y el proceso de instalación se detendrá.

Mismo mensaje aparece en el instalador.log, sin mas detalle.

Los chequeos del instalador (dependencia, base, configuracion, etc) todo da OK.
Cual puede ser el inconveniente.???

Estamos trabados ahi, y necesitamos probar la  instegración con guarani 3.18.

GRacias desde ya.

Germán Lodovskis

  • Moderador Global
  • *****
  • Mensajes: 246
    • Ver Perfil
    • Email
  • Institución: SIU - Bahia Blanca
  • Nombre y apellido: Germán Lodovskis
  • Sistema: SIU-Kolla y SIU-Tehuelche
Re:Actulizar kolla de 4.2.1 a 4.4.1
« Respuesta #5 on: Agosto 05, 2021, 10:42:51 am »
Buen día Carolina.

Proba corriendo el comando verificar del instalador por favor. El mismo realiza una verificación de las dependencias y los requerimientos que posee el proyecto, y podes encontrar mas información en la documentación:

https://gitlab.siu.edu.ar/siu/instalador/-/blob/develop/doc/ARQUITECTURA.md#comando-verificar

Saludos, Germán

Carolina Belmonte

  • General
  • *
  • Mensajes: 746
    • MSN Messenger - caro_bel45@hotmail.com
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Entre Ríos
  • Nombre y apellido: Carolina Belmonte
  • Sistema: Comdoc-Kolla-Tehuelche-Toba
  • Teléfono laboral: (03442) 421539
Re:Actulizar kolla de 4.2.1 a 4.4.1
« Respuesta #6 on: Agosto 05, 2021, 10:49:04 am »
Si, lo corrimos y nos da todo OK.
« Última Modificación: Agosto 05, 2021, 10:56:44 am por Carolina Belmonte »

Germán Lodovskis

  • Moderador Global
  • *****
  • Mensajes: 246
    • Ver Perfil
    • Email
  • Institución: SIU - Bahia Blanca
  • Nombre y apellido: Germán Lodovskis
  • Sistema: SIU-Kolla y SIU-Tehuelche
Re:Actulizar kolla de 4.2.1 a 4.4.1
« Respuesta #7 on: Agosto 05, 2021, 04:15:52 pm »
Buenas tardes Carolina.

En el lugar donde desean instalar la versión 4.4.1 tienen un Postgres 10.x a 13 y PHP 7.3?

Si es así, borren la carpeta 'instalación' (si es que la creó) y el instalador.log, ejecuten el comando actualizar nuevamente y envianos el archivo instalador.log a ver que información nos deja.

Saludos.

Carolina Belmonte

  • General
  • *
  • Mensajes: 746
    • MSN Messenger - caro_bel45@hotmail.com
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Entre Ríos
  • Nombre y apellido: Carolina Belmonte
  • Sistema: Comdoc-Kolla-Tehuelche-Toba
  • Teléfono laboral: (03442) 421539
Re:Actulizar kolla de 4.2.1 a 4.4.1
« Respuesta #8 on: Agosto 06, 2021, 11:57:38 am »
Buen día.

Ahi probamos de nuevo. Aclaro el procedimiento que se hace:

""" cuando se ejecuta la sentencia ./instalador proyecto:actualizar  toma la variable TOBA_INSTALACION_DIR para encontrar el sistema viejo
ademas busca encontrar la subcarpeta instalacion/i__desarrollo por lo que la carpeta que estaba afuera de ese proyecto la tuve que copiar dentro y ademas i__produccion la copie con nombre i__desarrollo """"

Luego de eso arroja el error que aparece en el log adjunto.


Germán Lodovskis

  • Moderador Global
  • *****
  • Mensajes: 246
    • Ver Perfil
    • Email
  • Institución: SIU - Bahia Blanca
  • Nombre y apellido: Germán Lodovskis
  • Sistema: SIU-Kolla y SIU-Tehuelche
Re:Actulizar kolla de 4.2.1 a 4.4.1
« Respuesta #9 on: Agosto 06, 2021, 03:26:26 pm »
Hola Carolina.

Dentro del archivo que nos envias se puede ver el siguiente error:

Código: [Seleccionar]
MAIN.ERROR: Ya existe una instalación en el directorio '/data/local/aplicacion/instalacion' y el proceso de instalación se detendrá.
Revisa por favor eso.

Con respecto al procedimiento que mencionas te aclaro que no forma parte del proceso de actualización que podes encontrar dentro de la documentación del proyecto. Si tienen implementado un escenario en particular que les esta demandando hacer cosas de este estilo por favor explicanos mas claramente la situación. Entiendo las dificultades que tenían con respecto a los requerimientos mínimos que necesitan las distintas versiones del módulo, pero de todas maneras no debería ser necesario realizar este movimiento de carpetas que comentas.

Saludos, Germán
4

Carolina Belmonte

  • General
  • *
  • Mensajes: 746
    • MSN Messenger - caro_bel45@hotmail.com
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Entre Ríos
  • Nombre y apellido: Carolina Belmonte
  • Sistema: Comdoc-Kolla-Tehuelche-Toba
  • Teléfono laboral: (03442) 421539
Re:Actulizar kolla de 4.2.1 a 4.4.1
« Respuesta #10 on: Agosto 10, 2021, 09:54:05 am »
Buen día.

Retomamos el tema y ahora con menos inconvenientes respecto del escenario.
Tenemos un docker con los dos sistemas el viejo y el nuevo.

Ahora el error que nos salta en pantalla es el que adjunto en imagen. Igual al error reportado en este hilo: https://foro.comunidad.siu.edu.ar/index.php?topic=21935.msg98104#msg98104

Adjunto nuestro instalador.log
GRacias.

Germán Lodovskis

  • Moderador Global
  • *****
  • Mensajes: 246
    • Ver Perfil
    • Email
  • Institución: SIU - Bahia Blanca
  • Nombre y apellido: Germán Lodovskis
  • Sistema: SIU-Kolla y SIU-Tehuelche
Re:Actulizar kolla de 4.2.1 a 4.4.1
« Respuesta #11 on: Agosto 10, 2021, 11:02:26 am »
Buen día Carolina.

Este es un error detectado y corregido en la versión 4.5 del módulo. Hay algo que les impide migrar a una 4.5?

Saludos, Germán.

Carolina Belmonte

  • General
  • *
  • Mensajes: 746
    • MSN Messenger - caro_bel45@hotmail.com
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Entre Ríos
  • Nombre y apellido: Carolina Belmonte
  • Sistema: Comdoc-Kolla-Tehuelche-Toba
  • Teléfono laboral: (03442) 421539
Re:Actulizar kolla de 4.2.1 a 4.4.1
« Respuesta #12 on: Agosto 10, 2021, 11:13:00 am »
OK, probamos con la 4.5 sin sale andando y cualquier inconveniente vuelvo a escribir.

Gracias.
Saludos.

Carolina Belmonte

  • General
  • *
  • Mensajes: 746
    • MSN Messenger - caro_bel45@hotmail.com
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Entre Ríos
  • Nombre y apellido: Carolina Belmonte
  • Sistema: Comdoc-Kolla-Tehuelche-Toba
  • Teléfono laboral: (03442) 421539
Re:Actulizar kolla de 4.2.1 a 4.4.1
« Respuesta #13 on: Agosto 10, 2021, 04:58:26 pm »
Probamos con la 4.5.1 y ahora el error que nos salta es el que adjunto.

Germán Lodovskis

  • Moderador Global
  • *****
  • Mensajes: 246
    • Ver Perfil
    • Email
  • Institución: SIU - Bahia Blanca
  • Nombre y apellido: Germán Lodovskis
  • Sistema: SIU-Kolla y SIU-Tehuelche
Re:Actulizar kolla de 4.2.1 a 4.4.1
« Respuesta #14 on: Agosto 11, 2021, 10:50:32 am »
Buenos días Carolina.

Gracias por los logs. De acuerdo al mismo podemos ver que unas lineas antes del error que muestra la imagen que adjuntas hay otras cosas que solucionar primero:

Código: [Seleccionar]
PHP Warning:  Module 'PDO' already loaded in Unknown on line 0
PHP Warning:  Module 'pdo_pgsql' already loaded in Unknown on line 0
PHP Warning:  Module 'apcu' already loaded in Unknown on line 0

Traten de solucionar esto primero, luego restauren el backup en la base de datos y realicen nuevamente la actualización y cualquier cosita nos consultan.

Saludos, Germán.